Skip to main content
GET
/
agents
/
{agentName}
/
sessions
/
{sessionId}
Get session details
curl --request GET \
  --url https://api.pipecat.daily.co/v1/agents/{agentName}/sessions/{sessionId} \
  --header 'Authorization: Bearer <token>'
{
  "sessionId": "800d444a-e67e-4686-afb3-b0de509cccb3",
  "serviceId": "b900ae4a-f710-4ef1-95d8-c5f5b2789da9",
  "organizationId": "cc71b52d-4271-46c9-87be-cac600fd821a",
  "deploymentId": "81f4da55-106d-401f-b069-a1f1992f871a",
  "endedAt": "2025-10-22T08:39:26.000Z",
  "botStartSeconds": 2,
  "coldStart": true,
  "completionStatus": "HTTP_COMPLETED",
  "createdAt": "2025-10-22T08:39:20.000Z",
  "updatedAt": "2025-10-22T08:39:26.000Z",
  "resourceMetrics": {
    "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "sessionId": "800d444a-e67e-4686-afb3-b0de509cccb3",
    "sampleCount": 12,
    "cpuMillicoresP50": 150,
    "cpuMillicoresP90": 280,
    "cpuMillicoresP95": 320,
    "cpuMillicoresP99": 450,
    "memoryBytesP50": 134217728,
    "memoryBytesP90": 201326592,
    "memoryBytesP95": 234881024,
    "memoryBytesP99": 268435456,
    "timeseries": [
      {
        "t": 1729583960,
        "c": 150,
        "m": 134217728
      },
      {
        "t": 1729583965,
        "c": 280,
        "m": 201326592
      }
    ],
    "eventTs": "2025-10-22T08:39:25.000Z",
    "createdAt": "2025-10-22T08:39:25.000Z"
  },
  "meetingIds": [
    {
      "participantId": "d4e5f6a7-b8c9-0123-4567-890abcdef012",
      "meetingId": "f1e2d3c4-b5a6-9780-1234-567890abcdef"
    }
  ]
}

Authorizations

Authorization
string
header
required

Authentication requires a Pipecat Cloud Private API token.

Generate a Private API key from your Dashboard (Settings > API Keys > Private > Create key) and include it as a Bearer token in the Authorization header.

Path Parameters

agentName
string
required

Name of the agent

sessionId
string<uuid>
required

UUID of the session to retrieve

Response

Session details retrieved successfully

sessionId
string

ID of the session

serviceId
string

ID of the service for this session

organizationId
string

ID of the organization that this session is associated with

deploymentId
string

ID of the deployment that this session is associated with

endedAt
string<date-time> | null

Timestamp when the session ended

botStartSeconds
integer | null

Number of seconds between bot start request and bot start

coldStart
boolean | null

Whether the bot start was a cold start

completionStatus
string | null

The completion status of the session. This can be an http return code or a string like HTTP_COMPLETED, HTTP_ERROR, WS_CONNECTION_CLOSED, among others

createdAt
string<date-time>

Timestamp when the session was created

updatedAt
string<date-time>

Timestamp when the session was last updated

resourceMetrics
object

Resource usage metrics for the session, if available

meetingIds
object[]

Daily meeting IDs associated with this session